Zum Inhalt

Create ItemAttributeValueTranslation

Create a ItemAttributeValueTranslation object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/itemAttrValueTranslationsWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of ItemAttributeValueTranslationWebCon object.

Response

If successful, this method returns 201 Created response code and an ItemAttributeValueTranslation object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/itemAttrValueTranslationsWebCon
Content-type: application/json

{
    "id": "7daf1d9b-b136-ee11-a0d1-dd36724440b5",
    "languageCode": "ENU",
    "name": "Red"
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{    
    "languageCode": "ENU",
    "name": "Red"
}

See also

Tips for working with the APIs
ItemAttributeValueTranslation
Get ItemAttributeValueTranslation
Delete ItemAttributeValueTranslation
Update ItemAttributeValueTranslation